# Location Types

The `Location` interface is a union of the ways to refer to a specific location in a Slate document: paths, points or ranges. Methods will often accept a `Location` instead of requiring only a `Path`, `Point` or `Range`.

```typescript
type Location = Path | Point | Range
```

* [Location](/api/locations/location.md)
* [Path](/api/locations/path.md)
* [PathRef](/api/locations/path-ref.md)
* [Point](/api/locations/point.md)
* [PointEntry](/api/locations/point-entry.md)
* [PointRef](/api/locations/point-ref.md)
* [Range](/api/locations/range.md)
* [RangeRef](/api/locations/range-ref.md)
* [Span](/api/locations/span.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.slatejs.org/api/locations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
